T_CHECK_POWER_OF_2(3)

FUNCTION
t_check_power_of_2 - Check if a number is a power of 2.

SYNOPSIS
#include <karma_t.h>

flag t_check_power_of_2

(unsigned int number)

DESCRIPTION
Check if a number is a power of 2.

number
    The number.

RETURN VALUE
TRUE if the number is a power of 2, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/